/* 
 * Scale
 * by Yasushi Soda
 * soda@sainet.or.jp
 * April 1998
 *
 */

#pragma pack(2)
#include <Common.h>
#include <System/SysAll.h>
#include <UI/UIAll.h>

static int StartApplication(void);
static void EventLoop(void);
static void StopApplication(void);
static Boolean form1(EventPtr event);


DWord  PilotMain (Word cmd, Ptr cmdPBP, Word launchFlags)
{
  int error;

  if (!cmd)
  {
    error = StartApplication();	// Application start code
    if (error) return error;

    EventLoop();	// Event loop

    StopApplication ();	// Application stop code
  }
  return 0;
}

static int StartApplication(void)
{
  int error;

  FrmGotoForm(1000);   // go to form #1
}

static void EventLoop(void)
	{
  	short err;
  	int formID;
  	FormPtr form;
  	EventType event;

  	do
  		{

    	EvtGetEvent(&event, 100);

    	if (SysHandleEvent(&event)) continue;
    	if (MenuHandleEvent((void *)0, &event, &err)) continue;

    	if (event.eType == frmLoadEvent)
    		{
      		formID = event.data.frmLoad.formID;
      		form = FrmInitForm(formID);
      		FrmSetActiveForm(form);
      		switch (formID) 
      			{	
	       		case 1000:
         			FrmSetEventHandler(form, (FormEventHandlerPtr) form1);
        			break;
      			}
			}
			FrmDispatchEvent(&event);
  	
    	} while(event.eType != appStopEvent);
    	
}

static void StopApplication(void)
	{

	}

static Boolean form1(EventPtr event)
{
  FormPtr   form;
  int       handled = 0;
  short err;

  switch (event->eType) 
  {

  case frmOpenEvent:
    form = FrmGetActiveForm();
    FrmDrawForm(form);
    handled = 1;
    break;
    
  case ctlSelectEvent:  // A control button was pressed and released.
    break;

  case nilEvent:
    break;
  }
  return handled;
}

